[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDrawDockImageEvent

Event handler used to draw the docking image in a drag and dock operation.

## Declaration

Source position: controls.pp line 583

`type TDrawDockImageEvent = procedure(`
`Sender: TObject;`
`AOldRect: TRect;`
`ANewRect: TRect;`
`AOperation: TDockImageOperation`
`);`

## Arguments

`Sender` |  | Object (TDragDockObject) for the event notification.
`AOldRect` |  | Rectangle with area cleared in the handler routine.
`ANewRect` |  | Rectangle with area drawn in the handler routine.
`AOperation` |  | Operation performed for the notification. Valid values are: disShow, disMove, disHide.

## Description

TDrawDockImageEvent is an object procedure type which specifies an event handler used to draw the docking image for TDragDockObject instances. TDrawDockImageEvent is the type used to implement the OnDrawDockImage variable in the Controls unit.

## See also

OnDrawDockImage |  | Routine used to draw dock images in drag/dock operations